Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.util
Class ViewExpiredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.faces.FacesException
                      org.apache.myfaces.shared_orchestra.util.ViewExpiredException

All Implemented Interfaces:
  Serializable

    public class ViewExpiredException

extends javax.faces.FacesException

See Also:
  Serialized Form

Constructor Summary
`ViewExpiredException()`
`ViewExpiredException(String viewId)`
`ViewExpiredException(String message, String viewId)`
`ViewExpiredException(String message, Throwable cause, String viewId)`
`ViewExpiredException(Throwable cause, String viewId)`

Method Summary
`String` | `getMessage()`
`String` | `getViewId()`

Methods inherited from class javax.faces.FacesException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ViewExpiredException

    public ViewExpiredException()

### ViewExpiredException

    public ViewExpiredException(String viewId)

### ViewExpiredException

    public ViewExpiredException(String message,
                                String viewId)

### ViewExpiredException

    public ViewExpiredException(String message,
                                Throwable cause,
                                String viewId)

### ViewExpiredException

    public ViewExpiredException(Throwable cause,
                                String viewId)

Method Detail

### getViewId

    public String getViewId()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.